Subject: [PATCH 1/6] target-arm: kvm: save/restore mp state

From: [email-masked] (Paolo Bonzini)
Date: Tue, 03 Mar 2015 18:10:12 +0100

On 03/03/2015 17:30, Alex Benn?e wrote:
>> >
>>> >>  Right now this is not migrated on ARM if I remember correctly, but
>>> >> perhaps you'll want to add it in the future.
>> >
>> > ...which is why we don't need to migrate this: it just means
>> > that migration during WFI causes an unnecessary-wakeup, which
>> > is architecturally fine.
> What happens when you boot a SMP system but only ever power up one of the
> CPUs? You can't just randomly start the second CPU if it's in the
> powered off state, who knows what it would do?

The second CPU would not be in the WFI state, which is what Peter is
talking about.

I agree that this state should be saved/restored.  I'm just saying that
HALTED is not the right constant to use.

Paolo